Skip to main content

Create Network Session Set

Create network (admin) session set identified by email & password (maximum of 100 networks), requires use of API key (Header: X-Casambi-Key).

note
  • Network session set returns only networks that can be accessed with given credentials. If you have site user credentials then you should use user session instead.
  • After 3 failed logins user has to wait one minute to try to login again. When trying to login during this wait time server will respond with status code: Forbidden 40

HTTP Request:

POST https://door.casambi.com/v1/networks/set/session

Request Body:

{
"email": "name@address.com",
"password": "password",
"networks": ["networkId1", "networkId2", "..."]
}

CURL Example:

curl -X POST "https://door.casambi.com/v1/networks/set/session" \
-H "Content-Type: application/json" \
-H "X-Casambi-Key:API-KEY-HERE" \
-d "{\"email\":\"EMAIL-HERE\",\"password\":\"PASSWORD-HERE\",\"networks\":[\"NETWORK-ID1\",\"NETWORK-ID2\"]}"
note

Notice the "sessionId" and "id" (networkId) values within response data. These details are needed in almost all further API requests.